onEvent('recipes', event => {
	// лепестки
	event.remove({output: 'botania:black_petal'})
	event.remove({output: 'botania:red_petal'})
	event.remove({output: 'botania:green_petal'})
	event.remove({output: 'botania:brown_petal'})
	event.remove({output: 'botania:blue_petal'})
	event.remove({output: 'botania:purple_petal'})
	event.remove({output: 'botania:cyan_petal'})
	event.remove({output: 'botania:light_gray_petal'})
	event.remove({output: 'botania:gray_petal'})
	event.remove({output: 'botania:pink_petal'})
	event.remove({output: 'botania:lime_petal'})
	event.remove({output: 'botania:yellow_petal'})
	event.remove({output: 'botania:light_blue_petal'})
	event.remove({output: 'botania:magenta_petal'})
	event.remove({output: 'botania:orange_petal'})
	event.remove({output: 'botania:white_petal'})
	
	event.remove({output: 'botania:fertilizer'})
	
	event.shapeless('botania:black_petal', ['botania:black_mystical_flower'])
	event.shapeless('botania:black_petal', ['botania:black_double_flower'])
	event.shapeless('9x botania:black_petal', ['botania:black_petal_block'])
	
	event.shapeless('botania:red_petal', ['botania:red_mystical_flower'])
	event.shapeless('botania:red_petal', ['botania:red_double_flower'])
	event.shapeless('9x botania:red_petal', ['botania:red_petal_block'])
	
	event.shapeless('botania:green_petal', ['botania:green_mystical_flower'])
	event.shapeless('botania:green_petal', ['botania:green_double_flower'])
	event.shapeless('9x botania:green_petal', ['botania:green_petal_block'])
	
	event.shapeless('botania:brown_petal', ['botania:brown_mystical_flower'])
	event.shapeless('botania:brown_petal', ['botania:brown_double_flower'])
	event.shapeless('9x botania:brown_petal', ['botania:brown_petal_block'])
	
	event.shapeless('botania:blue_petal', ['botania:blue_mystical_flower'])
	event.shapeless('botania:blue_petal', ['botania:blue_double_flower'])
	event.shapeless('9x botania:blue_petal', ['botania:blue_petal_block'])
	
	event.shapeless('botania:purple_petal', ['botania:purple_mystical_flower'])
	event.shapeless('botania:purple_petal', ['botania:purple_double_flower'])
	event.shapeless('9x botania:purple_petal', ['botania:purple_petal_block'])
	
	event.shapeless('botania:cyan_petal', ['botania:cyan_mystical_flower'])
	event.shapeless('botania:cyan_petal', ['botania:cyan_double_flower'])
	event.shapeless('9x botania:cyan_petal', ['botania:cyan_petal_block'])
	
	event.shapeless('botania:light_gray_petal', ['botania:light_gray_mystical_flower'])
	event.shapeless('botania:light_gray_petal', ['botania:light_gray_double_flower'])
	event.shapeless('9x botania:light_gray_petal', ['botania:light_gray_petal_block'])
	
	event.shapeless('botania:gray_petal', ['botania:gray_mystical_flower'])
	event.shapeless('botania:gray_petal', ['botania:gray_double_flower'])
	event.shapeless('9x botania:gray_petal', ['botania:gray_petal_block'])
	
	event.shapeless('botania:pink_petal', ['botania:pink_mystical_flower'])
	event.shapeless('botania:pink_petal', ['botania:pink_double_flower'])
	event.shapeless('9x botania:pink_petal', ['botania:pink_petal_block'])
	
	event.shapeless('botania:lime_petal', ['botania:lime_mystical_flower'])
	event.shapeless('botania:lime_petal', ['botania:lime_double_flower'])
	event.shapeless('9x botania:lime_petal', ['botania:lime_petal_block'])
	
	event.shapeless('botania:yellow_petal', ['botania:yellow_mystical_flower'])
	event.shapeless('botania:yellow_petal', ['botania:yellow_double_flower'])
	event.shapeless('9x botania:yellow_petal', ['botania:yellow_petal_block'])
	
	event.shapeless('botania:light_blue_petal', ['botania:light_blue_mystical_flower'])
	event.shapeless('botania:light_blue_petal', ['botania:light_blue_double_flower'])
	event.shapeless('9x botania:light_blue_petal', ['botania:light_blue_petal_block'])
	
	event.shapeless('botania:magenta_petal', ['botania:magenta_mystical_flower'])
	event.shapeless('botania:magenta_petal', ['botania:magenta_double_flower'])
	event.shapeless('9x botania:magenta_petal', ['botania:magenta_petal_block'])
	
	event.shapeless('botania:orange_petal', ['botania:orange_mystical_flower'])
	event.shapeless('botania:orange_petal', ['botania:orange_double_flower'])
	event.shapeless('9x botania:orange_petal', ['botania:orange_petal_block'])
	
	event.shapeless('botania:white_petal', ['botania:white_mystical_flower'])
	event.shapeless('botania:white_petal', ['botania:white_double_flower'])
	event.shapeless('9x botania:white_petal', ['botania:white_petal_block'])
	
	//аптекарь
	event.remove({output: 'botania:apothecary_default'})
	event.shaped('1x botania:apothecary_default', [
		'SPS',
		' S ',
		'SSS'
	  ], {
		S: 'minecraft:smooth_stone',
		P: '#botania:petals'
	  })
	  
	event.shaped('1x botania:apothecary_default', [
		'SPS',
		' S ',
		'SSS'
	  ], {
		S: 'byg:mossy_stone',
		P: '#botania:petals'
	  })	  
	  
	//линза маны
	event.remove({output: 'botania:lens_normal'})
	event.shaped('1x botania:lens_normal', [
		'III',
		'IGI',
		'III'
	  ], {
		I: 'botania:manasteel_ingot',
		G: 'minecraft:glass'
	  }) 
	  
	//пузырёк воздуха эндера
	event.shapeless('botania:ender_air_bottle', ['minerslung:soulfire_bottle', 'upgradednetherite:ender_upgraded_netherite_ingot'])
})